@(cloud: Cloud)

@import helper._
@import helper.twitterBootstrap._

@implicitFieldConstructor = @{
    FieldConstructor(twitterBootstrapInput.render)
}

@title = {
    @cloud.getName
}

@pageTitle = {
    @cloud.getName
}

@main(title, pageTitle) {
    @form(routes.CloudController.update(cloud.getId.toString)) {
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>Cluster Name</th>
                    <th># of Cores</th>
                    <th>Memory (GB)</th>
                    <th>HDD Size (GB)</th>
                    <th>Bandwidth (Mbps)</th>
                    <th># of Nodes</th>
                </tr>
            </thead>

            <tbody>
                @for(clust <- cloud.getClusters) {
                    <tr>
                        <td>@clust.getName @if(!clust.isActive){ (Hidden)}</td>
                        <td>@simulation.SimUtils.getNf3.format(clust.getCores)    </td>
                        <td>@simulation.SimUtils.getNf3.format(clust.getMemory)   </td>
                        <td>@simulation.SimUtils.getNf3.format(clust.getHdd)  </td>
                        <td>@simulation.SimUtils.getNf3.format(clust.getBandwidth)</td>
                        <td>@simulation.SimUtils.getNf3.format(clust.getNodes)    </td>
                    </tr>
                }
            </tbody>
        </table>

        <div id="addGroup" class="pull-left">
            <a class="btn btn-inverse" id="cancel" href="@routes.CloudController.list()" hidden="false">Back</a>
        </div>
    }
}